List Payments

View as Markdown
Returns a list of transactions. It can be paged and filtered by appending arguments to the query string of the request.

Authentication

AuthorizationBasic

Query parameters

paymentTypelist of stringsOptional
Returns payments of this Payment Type. It is possible to filter by multiple values by repeating this argument.
merchantReferencestringOptional
Returns transactions of the payments associated with this merchant reference.
authorization.statuslist of stringsOptional
Returns transactions of the payments at this payment Authorization Status.
verification.statuslist of stringsOptional
Returns transactions of the payments at this payment Verification Status.
paymentIdstringOptional
Returns payments of this identification.
merchant.merchantIdstringOptional
Returns payments by this merchant identification.
descriptionstringOptional
Returns payments by description.
paymentProvider.paymentProviderIdstringOptional
Returns payments by this payment provider identification.
customer.customerIdstringOptional
Returns payments by this customer identification.
fingerprintstringOptional
Returns payments by this fingerprint.
createdAt.startstringOptional
Returns payments after this creation date
createdAt.endstringOptional
Returns payments before this creation date
updatedAt.startstringOptional
Returns payments after this update date
updatedAt.endstringOptional
Returns payments before this update date
amount.minstringOptional
Returns payments for that minimum amount.
amount.maxstringOptional
Returns payments for that maximum amount.
paid.minstringOptional
Returns payments for that minimum paid.
paid.maxstringOptional
Returns payments for that maximum paid.
refunded.minstringOptional
Returns payments with this minimum refund amount.
refunded.maxstringOptional
Returns payments with this maximum refund amount.
orderBystringOptional
List payments by order field.
sortOrderstringOptional
Returns payments by this sort order
startIndexstringOptional
Returns payments from that offset
countstringOptional
Returns the maximum number of payments specified by this field

Response

OK
paymentslist of objects
startIndexdouble
itemsPerPagedouble